export declare class DateTimeFunctions {
    /**
     * Obtain the current date of the system in format mm-dd-year .
     * @return {String} return the date in string format
     * @private
     */
    getDateInDayMonthYear: (date: Date) => string;
    /**
     * Obtain the current time of the system in format hh:mm:ss .
     * @return {String} return the time in string format
     * @private
     */
    getTimeInHHMMSS: (date: Date, separator: string) => string;
    /**
     * transform the time from seconds to HH:MM:ss
     * @param time time that is going to be converted
     * @private
     */
    convertTimeFromNanoSecondsToHHMMSS: (time: number) => string;
    /**
     *  get the report date
     * @param date
     */
    getReportDate: (date: Date) => string;
}
