'use strict';
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DateTimeFunctions = void 0;
const dateFormatter = __importStar(require("date-and-time"));
class DateTimeFunctions {
    constructor() {
        /**
         * Obtain the current date of the system in format mm-dd-year .
         * @return {String} return the date in string format
         * @private
         */
        this.getDateInDayMonthYear = (date) => dateFormatter.format(date, 'MM-DD-YYYY');
        /**
         * Obtain the current time of the system in format hh:mm:ss .
         * @return {String} return the time in string format
         * @private
         */
        this.getTimeInHHMMSS = (date, separator) => dateFormatter.format(date, 'HH' + separator + 'mm' + separator + 'ss');
        /**
         * transform the time from seconds to HH:MM:ss
         * @param time time that is going to be converted
         * @private
         */
        this.convertTimeFromNanoSecondsToHHMMSS = (time) => {
            const date = new Date(null);
            time = typeof time === 'undefined' || time === 0 ? time = 0 : time;
            date.setSeconds(time === 0 ? 0 : Math.floor(time / 1000000000)); // specify value for SECONDS here
            const result = date.toISOString().substr(11, 8);
            return result;
        };
        /**
         *  get the report date
         * @param date
         */
        this.getReportDate = (date) => this.getDateInDayMonthYear(date) + '__' + this.getTimeInHHMMSS(date, '-');
    }
}
exports.DateTimeFunctions = DateTimeFunctions;
//# sourceMappingURL=date-time-functions.js.map